{% extends 'layouts/base.html' %}

{% block title %} Generate Clean Report File {% endblock %}

{% block body %}
<div class="row flex-lg-row flex-column mt-2">
    <div class="d-flex col-lg-12 col-md-12 col-sm-12 px-2 justify-content-center">
        <div class="card col-lg-3 col-md-3 col-sm-12 mt-5">
            <div class="card-header bg-primary fw-bolder text-light">Update Parameter</div>
            <div class="card-body">
                <form method="POST" action="/update-parameter/{{ parameter.id }}" enctype="multipart/form-data">
                    <div class="form-group my-2">
                        <label for="parameterName">Name: </label>
                        <input type="text" name="parameterName" id="parameterName" class="form-control"
                            value="{{ parameter.name}}" required readonly>
                    </div>

                    <div class="form-group my-2">
                        <label for="parameterValue">Value: </label>
                        <input type="text" name="parameterValue" id="parameterValue" class="form-control"
                            value="{{ parameter.value}}" required>
                    </div>

                    {% include 'layouts/flash.html' %}

                    <button type="submit" class="btn btn-primary mt-5 w-100">Submit</button>
                    <a href="/settings" class="btn btn-secondary mt-1 w-100">Back</a>
                </form>
            </div>
        </div>
    </div>
</div>
{% endblock %}